> ## Documentation Index
> Fetch the complete documentation index at: https://vida.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Account Settings

> Update certain settings for an account – Reseller/Partner only.



## OpenAPI

````yaml post /api/v2/updateAccount
openapi: 3.0.0
info:
  version: 2.0.0
  title: Vida API
  description: Vida API Documentation
servers:
  - url: https://api.vida.dev
    description: Vida Production
    variables:
      baseUrl:
        default: api.vida.dev
        description: Production API Root
security: []
paths:
  /api/v2/updateAccount:
    post:
      tags:
        - Accounts
      summary: Update Account Settings
      description: Update certain settings for an account – Reseller/Partner only.
      parameters:
        - name: targetAccountId
          in: query
          description: Target Account Id to update settings for
          required: true
          example: XXXXXXX
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                active:
                  description: >-
                    Account status - if set to false calls and messages will not
                    be answered
                  type: boolean
                  example: true
                accountName:
                  description: Change Account Name
                  type: string
                  example: Support Team
                externalAccountId:
                  description: >-
                    External Account Id to match with your internal system
                    account Id. Set to null to remove it.
                  type: string
                  example: AC_XXXXXXX
                externalBillingId:
                  description: >-
                    External Id to match with your internal billing system. Set
                    to null to remove it.
                  type: string
                  example: somebillingId
      responses:
        '200':
          description: At least one setting was successfully updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Account settings updated
                  updatedSettings:
                    type: array
                    items:
                      type: string
                    example:
                      - accountName
                  failedSettings:
                    type: array
                    items:
                      type: string
                    nullable: true
                    example:
                      - externalBillingId
        '400':
          description: Bad request – nothing updated
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: No settings updated
                  failedSettings:
                    type: array
                    items:
                      type: string
                    nullable: true
                    example:
                      - externalBillingId
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: query
      name: token
      description: Vida API Token

````